Subject: Re: [PATCH] git-repack: create new packs inside $PACKDIR, not cwd

From: "Martin Langhoff (CatalystIT)" <[email-masked]>
Date: Mon, 04 Sep 2006 22:46:55 +1200

Junio C Hamano wrote:

> "Martin Langhoff (CatalystIT)" <[email-masked]> writes:
> 
> 
>>BTW, I think there's a small error.
>>
>>Your packtmp includes $$ which means that rm -f "$PACKTMP" will only
>>clear out old packs..
> 
> 
> That was deliberate.  I hate programs that clean things up
> behind user's back.  The first "rm" is to get rid of what would
> collide with what we are going to do (i.e. protecting ourselves)
> and "trap rm" is to make sure we do not leave the cruft we know
> we are going to create.  I'd rather leave other people's cruft
> around, unless the purpose of the command is to clean things up,
> and repack is hardly that.
> 

Ah, ok. I misunderstood the use of trap -- of course, re-reading the man 
pages, it makes sense.

A-ok with me, then, and sorry about the noise.

martin
-- 
-----------------------------------------------------------------------
Martin @ Catalyst .Net .NZ  Ltd, PO Box 11-053, Manners St,  Wellington
WEB: http://catalyst.net.nz/           PHYS: Level 2, 150-154 Willis St
OFFICE: +64(4)916-7224                              MOB: +64(21)364-017
       Make things as simple as possible, but no simpler - Einstein
-----------------------------------------------------------------------

-- 
VGER BF report: H 0.0618878